## org.mortbay.http
Class MultiPartResponse

    java.lang.Object
      |
      +--org.mortbay.http.MultiPartResponse

Direct Known Subclasses:
  MultiPartResponse

public class MultiPartResponse
extends java.lang.Object

Handle a multipart MIME response.

Version:
  $Id: MultiPartResponse.java,v 1.7 2003/04/24 23:56:12 bretts Exp $
Author:
  Greg Wilkins, Jim Crossley

Constructor Summary
`MultiPartResponse(HttpResponse response)` MultiPartResponse constructor.
`MultiPartResponse(java.io.OutputStream out)`

Method Summary
`void` `close()` End the current part.
`java.lang.String` `getBoundary()`
`java.io.OutputStream` `getOut()`
`void` `startPart(java.lang.String contentType)` Start creation of the next Content.
`void` `startPart(java.lang.String contentType, java.lang.String[] headers)` Start creation of the next Content.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiPartResponse

    public MultiPartResponse(java.io.OutputStream out)
                      throws java.io.IOException

### MultiPartResponse

    public MultiPartResponse(HttpResponse response)
                      throws java.io.IOException

  MultiPartResponse constructor.

Method Detail

### getBoundary

    public java.lang.String getBoundary()

### getOut

    public java.io.OutputStream getOut()

### startPart

    public void startPart(java.lang.String contentType)
                   throws java.io.IOException

  Start creation of the next Content.

    `java.io.IOException`

### startPart

    public void startPart(java.lang.String contentType,
                          java.lang.String[] headers)
                   throws java.io.IOException

  Start creation of the next Content.

    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  End the current part.

  Throws:
    `java.io.IOException` - IOException

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.